/* 
 * Copyright (C) 2005 Remco Poelstra <remco@beryllium.net>
 *
 * LinABX - jack.h
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 *
 * Authors: Remco Poelstra <remco@beryllium.net>
 */

#ifndef JACK_H
#define JACK_H

enum mode_t{
    NO_MODE,
    JACK_MODE,
    SAMPLE_MODE,
    TONE_MODE
};

float sample_time;
void close_jack(void);
int init_jack(void);
void set_playing(int answer);
int init_jack_mode(void);
void cleanup_jack_mode(void);
const char **get_available_ports(int *A_l, int *A_r, int *B_l, int *B_r);
void connect_port(int port,char *port_name);
#endif
