/* 
 * Copyright (C) 2005 Remco Poelstra <remco@beryllium.net>
 *
 * LinABX - sample_mode.h
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 *
 * Authors: Remco Poelstra <remco@beryllium.net>
 */

#ifndef SAMPLE_MODE_H
#define SAMPLE_MODE_H
#include <jack/types.h>
int init_sample_mode(char *A_sample_file, char *B_sample_file, int converter_type);
void restart_play();
void cleanup_sample_mode(void);
int process_samples(jack_nframes_t nframes, void *arg);
void update_sample_rate(jack_nframes_t srate);
#endif
